From 0ae15d4759901348cc0188d20b9feb9442a56e7f Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: May 02 2016 20:24:49 +0000
Subject: [PATCH 469/1001] Let hubs.widgets.base return the url to the avatar endpoint


---

diff --git a/hubs/widgets/base.py b/hubs/widgets/base.py
index fcce04a..e8efbdc 100755
--- a/hubs/widgets/base.py
+++ b/hubs/widgets/base.py
@@ -99,8 +99,4 @@ def wraps(original):
 
 
 def avatar(username, size=32):
-    openid = 'http://%s.id.fedoraproject.org/' % username
-    query = six.moves.urllib_parse.urlencode({'s': size, 'd': 'retro'})
-    hash = hashlib.sha256(openid.encode('utf-8')).hexdigest()
-    template = "https://seccdn.libravatar.org/avatar/%s?%s"
-    return template % (hash, query)
+    return flask.url_for('avatar', username=username)

